Table of Contents

Module: interactors | ../bkchem/interactors.py
--- | ---
here reside functions that implement a glue between application or paper (main.py or paper.py) and the dialogs (dialogs.py)
Functions |
--- | ---
ask_display_form_for_selected ask_id_for_selected ask_inchi_program_path ask_name_for_selected atoms_to_linear_fragment check_validity compute_oxidation_number | convert_selected_to_linear_fragment create_fragment_from_selected log_atom_type save_as_template select_language set_atom_number view_fragments
| ask_display_form_for_selected
    ask_display_form_for_selected ( paper )
| ask_id_for_selected
    ask_id_for_selected ( paper )
opens dialog for input of molecule ID and sets it
| ask_inchi_program_path
    ask_inchi_program_path ()
| ask_name_for_selected
    ask_name_for_selected ( paper )
opens dialog for input of molecule name and sets it
| atoms_to_linear_fragment
    atoms_to_linear_fragment (
            mol,
            vs,
            bond_length=10,
            )
Exceptions |
--- | ---
ValueError, "the vertices do not define connected subgraph" excs.bkchem_graph_error("circular_selection", _( "The selected part of a molecule is a whole ring, there is no way to linearize it" ) )
| check_validity
    check_validity ( mols )
| compute_oxidation_number
    compute_oxidation_number ( paper )
| convert_selected_to_linear_fragment
    convert_selected_to_linear_fragment ( paper )
| create_fragment_from_selected
    create_fragment_from_selected ( paper )
| log_atom_type
    log_atom_type ( vtype )
according to vtype tells the user how an atom text was interpreted
| save_as_template
    save_as_template ( paper )
| select_language
    select_language ( paper )
| set_atom_number
    set_atom_number ( atoms )
| view_fragments
    view_fragments ( paper )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1